ur_rna.Utilities.swing

## Class InputAdapter.Mouse

- java.lang.Object
- - ur_rna.Utilities.swing.InputAdapter.Mouse

- All Implemented Interfaces:
    java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener
  Direct Known Subclasses:
    RnaDrawController.MouseHandler
  Enclosing class:
    InputAdapter

      public abstract static class InputAdapter.Mouse
      extends java.lang.Object
      implements java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mouse()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `listen(java.awt.Component c)`
    `void` | `listen(java.awt.Component c, boolean includeMouse, boolean includeMotion, boolean includeWheel)`
    `void` | `mouseClicked(java.awt.event.MouseEvent e)` Invoked when the mouse button has been clicked (pressed and released) on a component.
    `void` | `mouseDragged(java.awt.event.MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
    `void` | `mouseEntered(java.awt.event.MouseEvent e)` Invoked when the mouse enters a component.
    `void` | `mouseExited(java.awt.event.MouseEvent e)` Invoked when the mouse exits a component.
    `void` | `mouseMoved(java.awt.event.MouseEvent e)` Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.
    `void` | `mousePressed(java.awt.event.MouseEvent e)` Invoked when a mouse button has been pressed on a component.
    `void` | `mouseReleased(java.awt.event.MouseEvent e)` Invoked when a mouse button has been released on a component.
    `void` | `mouseWheelMoved(java.awt.event.MouseWheelEvent e)` Invoked when the mouse wheel is rotated.
    `protected abstract void` | `onMouseInput(InputAdapter.InputType type, java.awt.event.MouseEvent e)` Override this to respond to mouse input.
    `void` | `remove(java.awt.Component c)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Mouse

          public Mouse()

  - ### Method Detail

    - #### listen

          public void listen(java.awt.Component c)

    - #### listen

          public void listen(java.awt.Component c,
                             boolean includeMouse,
                             boolean includeMotion,
                             boolean includeWheel)

    - #### mouseClicked

          public void mouseClicked(java.awt.event.MouseEvent e)

      Invoked when the mouse button has been clicked (pressed and released) on a component.
      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`
      Parameters:
        `e` -

    - #### mouseDragged

          public void mouseDragged(java.awt.event.MouseEvent e)

      Invoked when a mouse button is pressed on a component and then dragged. `MOUSE_DRAGGED` events will continue to be delivered to the component where the drag originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

      Due to platform-dependent Drag&Drop implementations, `MOUSE_DRAGGED` events may not be delivered during a native Drag&Drop operation.

      Specified by:
        `mouseDragged` in interface `java.awt.event.MouseMotionListener`
      Parameters:
        `e` -

    - #### mouseEntered

          public void mouseEntered(java.awt.event.MouseEvent e)

      Invoked when the mouse enters a component.
      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`
      Parameters:
        `e` -

    - #### mouseExited

          public void mouseExited(java.awt.event.MouseEvent e)

      Invoked when the mouse exits a component.
      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`
      Parameters:
        `e` -

    - #### mouseMoved

          public void mouseMoved(java.awt.event.MouseEvent e)

      Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.
      Specified by:
        `mouseMoved` in interface `java.awt.event.MouseMotionListener`
      Parameters:
        `e` -

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent e)

      Invoked when a mouse button has been pressed on a component.
      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`
      Parameters:
        `e` -

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent e)

      Invoked when a mouse button has been released on a component.
      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`
      Parameters:
        `e` -

    - #### mouseWheelMoved

          public void mouseWheelMoved(java.awt.event.MouseWheelEvent e)

      Invoked when the mouse wheel is rotated.
      Specified by:
        `mouseWheelMoved` in interface `java.awt.event.MouseWheelListener`
      Parameters:
        `e` -
      See Also:
        `MouseWheelEvent`

    - #### onMouseInput

          protected abstract void onMouseInput(InputAdapter.InputType type,
                                               java.awt.event.MouseEvent e)

      Override this to respond to mouse input.
      Parameters:
        `type` - The type of mouse input (e.g. click, move, etc)
        `e` - A MouseEvent with additional information about the event.

    - #### remove

          public void remove(java.awt.Component c)